Grails classes, taglibs, not recognized anymore

Hello,

I've upgraded to Grails 1.0.1 on my project, and I've removed the old Grails version manually on my system (to which my project was initially pointing at).

Despite trying to remove the Grails facet and adding it again, updating my Groovy/Grails paths in the configuration, or changing the jars / sources manually in the global Grails library, none of the taglibs are recognized in the GSP editor, nor Grails related classes are recognized at all.

How can I properly make my project work again with all the Groovy/Grails magic from JetGroovy?

Guillaume

5 comments
Comment actions Permalink

Are you sure you have the latest version of the plugin installed? We used to have this problem some time ago, but it has been fixed.

0
Comment actions Permalink

Are you sure you have the latest version of the
plugin installed? We used to have this problem some
time ago, but it has been fixed.


Unfortunately, no, even with the latest version, I still get the same problem.
The Grails taglibs aren't recognized (although mine are, and the plugsins' are too), and the Grails related classes like grails.converter.JSON are not recognized.

0
Comment actions Permalink

1) Does GRAILS library contain respective grails jars?
2) Do you have this library attached to your module, as can be seen in module 'Dependencies' tab?

0
Comment actions Permalink

Just struck me: I heard of some strange grails files layout when installing from windows installer. Is it the case for you? That seems a bug in grails...

0
Comment actions Permalink

1) Does GRAILS library contain respective grails
jars?
2) Do you have this library attached to your module,
as can be seen in module 'Dependencies' tab?


Yes, that was the case.
But you were right to ask me to double check the jars.
When recreating the GRAILS library, it seemed I had forgotten some.
Sorry for the noise, and thanks for spotting my mistake ;)

0

Please sign in to leave a comment.